<template>
  <footer class="b-footer">
    <div class="l">
      <div class="b-footer__body">
        <figure class="b-footer__logo">
          <img :src="logoUrl" alt="TheBoardroom Africa" />
        </figure>

        <p class="b-footer__copy">
          © 2020 TheBoardroom Africa. All Rights reserved.
        </p>
      </div>
    </div>
  </footer>
</template>

<script>
export default {
  name: "AppFooter",
  data() {
    return {
      logoUrl: `${process.env.VUE_APP_API_URL}/wp-content/themes/tbra/assets/images/logo-secondary.svg`
    };
  }
};
</script>

<style lang="scss">
.b-footer {
  background-color: $c-brand-primary;
  padding: 3.3rem 0 2.5rem;

  @include breakpoint(overPhone) {
    padding: 4rem 0 3rem;
  }

  &__body {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  &__logo {
    margin-bottom: 4rem;

    img {
      width: 15.4rem;
    }
  }

  &__copy {
    font-size: 1.2rem;
    line-height: 1.8rem;
    color: $c-brand-quaternary;
  }
}
</style>
